set Client_ENCODING='ISO8859-1';
set DATESTYLE='MDY';

create table motcle
( id_motcle smallint primary key,
  motcle varchar(20) not null
);

create  table genre
( id_genre smallint primary key,
  nomgenre varchar(20) not null
);

create  table auteur
( id_auteur smallint primary key,
  nom varchar(20) not null,
  prenom varchar(20) not null
);

create  table editeur
( id_editeur smallint primary key,
  nom varchar(20) not null,
  adresse varchar(50) not null
);


create table livre
( id_livre smallint primary key,
  titre varchar(30) not null,
  date_creation smallint
 );
 
create  table abonne
( id_abonne smallint primary key,
  nom_abonne varchar(20) not null,
  date_naissance date not null,
  date_adhesion date not null
);

create table exemplaire
( id_exemplaire smallint primary key,
  date_acquisition smallint not null,
  annee_edition smallint not null,
  id_livre smallint not null references livre,
  id_editeur smallint not null references editeur
);

create  table decrit
( id_motcle smallint references motcle,
  id_livre smallint references livre,
  primary key (id_motcle,id_livre)
);

create table correspond
( id_genre smallint references genre,
  id_livre smallint references livre,
  primary key (id_genre,id_livre)
);

create table ecrit
( id_auteur smallint references auteur,
  id_livre smallint references livre,
  primary key (id_auteur,id_livre)
);

create table emprunte
( id_abonne smallint references abonne,
  id_exemplaire smallint references exemplaire,
  date_retour date not null,
  primary key (id_abonne,id_exemplaire,date_retour)
);
